WINLINK - A utility for hard drive owners, designed to allow the quick
          linking and unlinking of drive partitions. For single or
          master/slave systems. Also permits loading of a default set
          of partitions and the unlinking of all partitions on a
          SyQuest drive for cartridge removal.


USER INSTRUCTIONS
    This program (WinLink) is fully pointer driven and was written using
the QPTR toolkit and Qliberator.
    Start the program with EX 'DEVn_WinLink_V002_obj' after configuring with
config or menu-config or EX 'DEVn_WinLinkALLext_V002_obj if you don't have
the QPTR toolkit loaded into your system.


CONFIGURABLE OPTIONS
        WinLink can be configured with either Config or MenuConfig, the usual
pointer program configurators from Qjump.

    Options are -
                        Default device for Winx_ (n,n)
                  This is the physical drive and partition number to be linked
                  as Winx_ when the 'load defaults' icon is hit or done.
                  Separate using a comma, as in the WIN_DRIVE command.
                  Leave blank if no partition to be linked for x.

                        Physical drive for quick unlinking
                  This requires a number from 1 to 8 and is a drive all of
                  whose partitions will be unkinked when the 'eject cartridge'
                  icon is hit or done. The idea of the is to allow the removal
                  of a SyQuest cartridge but it can be any drive you like.


USING WINLINK
        The WinLink screen has 14 mouse selectable items. Eight of these
   represent Win1_ to Win8_. A 'do' (or enter) on Winx will unlink that
   partition. A 'hit' (or space) on Winx, allows a new partition to be
   specified, either by typing in the physical drive and partition number
   or from the config'ed defaults, depending on whether the 'load defaults'
   icon is selected or not, this partition is then linked.
        If an invalid partition specification is entered WinLink will beep at
   you and briefly display 'Bad Spec!' in the position normaly used to display
   the partition name.
        If any attempt is made to unlink a partition which has open files
   WinLink will beep and leave the partition linked.

        The remaining 6 icons are, from left to right -
   Sleep, Quit, Move window, Wake, Load defaults and Quick unlink.

        Sleep - puts WinLink to sleep on a button. This will only work if
                the MENU extensions (from Jochen Mertz) are loaded.

        Quit - Guess.

        Move Window - Guess again!

        Wake - Use this to update WinLink if you have issued a WIN_DRIVE
               command from basic.

        Load defaults -
               When done - (Right mouse button or <Enter>)
               Loads all of Win 1 to 8 partitions as specified when config'ed.
               This does not affect any additional partitions left blank when
               config'ed but will unlink any existing partitions which need
               to be removed to load the default setup (unless that partition
               has open files).
               When hit - (Left mouse button or <Space>)
               Allows individual Winx's to be linked as specified in the
               config'ed defaults when the relevant Winx is hit. Stays
               selected until hit again or done.


        Quick Unlink - unlinks all partitions on the config'ed physical drive.


DISCLAIMER
        WinLink has been well tested both on a machine with 2 hard drives
 (Connor 425 MB and SyQuest) set up as a Master/Slave pair and on several
 systems with one hard drive. It has been run successfully under both
 Minerva and SMSQE. WinLink's performance on MultiMaster systems is untested.
 No liability can be accepted for lost or damaged data.

  REQUIREMENTS
                        Pointer enviroment
                        Qlib Runtimes
                        QPTR        (for the basic pointer interface)
                        MENU_Rext   (only nedded to put WinLink to sleep)

   Two versions of WinLink are in the archive -
   WinLink_V002_obj - NO extensions linked in - extensions must be (lrespr'ed)
   into your system first.
   WinLinkALLEXTV002_obj - version with QPTR linked in.


   Mr G. Underwood,
   28, Sime St.
   Worksop
   Notts.
   S80 1TD

   Graham Underwood.
   100121.3564@compuserve.com
   2:251/126.10
